import request from '@/utils/request'

// 查询项目列表
export function list(params) {
    return request({
        url: '/system/project/list',
        method: 'get',
        params
    })
}

// 查询项目详细
export function Info(projectId) {
    return request({
      url: '/system/project/' + projectId,
      method: 'get'
    })
  }

// 新增项目
export function add(data) {
    return request({
        url: '/system/project',
        method: 'post',
        data
    })
}

// 修改项目
export function update(data) {
    return request({
        url: '/system/project',
        method: 'post',
        data
    })
}

// 删除项目
export function del(ids) {
    return request({
        url: '/system/project/' + ids,
        method: 'delete'
    })
}

// 获取项目下拉
export function select (params) {
    return request({
        url: '/system/project/select',
        method: 'get',
        params
    })
}

